	program cmd3
c
c This time just grab the RGB stars and write them out
c
c This will only write stars that are within 16 arc sec x and y of the center
c
	character*70 line
	logical rgb_star
	real v(20000),bv(20000)

        common/rboxes/ hbf, hbbv, rgbf, rgbbv
        real hbf(5), hbbv(5), rgbf(20), rgbbv(20)
        common/iboxes/ nhb, nrgb
        integer nhb(5), nrgb(20)

        data hbf,hbbv/10*0.0/
        data rgbf,rgbbv/40*0.0/
        data nhb,nrgb/25*0/

        nstar = 0
        vlum = 0.0
        blum = 0.0
	do i = 1,20000
	   read(5,'(a)',end=900)line
	   read(line,*)id,x,y,vdum,verr,rot1,rot2,bvdum

           if (abs(x-988).le.40.5 .and. abs(y-1036).le.40.5) then

              if (rgb_star(vdum,bvdum)) then
                 nstar = nstar+1
                 v(nstar)  = vdum
                 bv(nstar) = bvdum
                 vlum = vlum + 10.0**(-0.4*vdum)
                 bdum = bvdum + vdum
                 blum = blum + 10.0**(-0.4*bdum)
              else
                 write(7,*)id,vdum,bvdum
              endif
           endif
	enddo
 900	continue

	write(6,'(a)')'v_tot'
	write(6,*)-2.5*alog10(vlum)

        sumv = 0.0
        do i = 1,nstar
           sumv = sumv + 10.0**(-0.4*v(i)) 
           fracv = sumv / vlum
           write(6,*)v(i),bv(i),fracv
	enddo

	call write_output

	stop
	end




        logical function rgb_star(v,bv)

        real vlim(20),bvmed(20),vavg(20),err(20)
        real bvlo(5),bvup(5),vla(5),vlb(5),vua(5),vub(5)

        common/rboxes/ hbf, hbbv, rgbf, rgbbv
        real hbf(5), hbbv(5), rgbf(20), rgbbv(20)
        common/iboxes/ nhb, nrgb
        integer nhb(5), nrgb(20)
   
c      data vlim/9.890, 10.56, 10.93, 11.37, 11.64, 11.86, 
c    %    12.25, 12.48, 12.69, 13.01, 13.32, 13.68, 14.54,      
c    %    15.54, 16.08, 16.48, 16.86, 17.31, 17.87, 19.30/      

	data vlim/9.89, 10.35, 10.65, 10.94, 11.37, 11.48,
     %    11.86, 12.39, 12.61, 13.17, 13.78, 14.35, 15.11,
     %    15.81, 16.24, 16.59, 16.96, 17.41, 17.94, 19.30/

       data bvmed/1.41, 1.32, 1.29, 1.17, 1.11, 1.07, 1.01,
     %      0.96, 0.93, 0.90, 0.85, 0.81, 0.78, 0.72, 0.59,
     %      0.57, 0.57, 0.59, 0.63, 0.72/



	data vavg/9.880, 10.115, 10.350, 10.795, 11.155, 11.425,
     %   11.670, 12.125, 12.500, 12.890, 13.475, 14.065, 14.730,
     %   15.460, 16.025, 16.415, 16.775, 17.185, 17.675, 18.620/


	data err/ 0.15, 0.15, 0.15, 0.10, 0.10, 0.10, 0.06, 0.06,
     %      0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10,
     %      0.15, 0.20, 0.25/

	data bvlo/0.80, 0.58, 0.45, 0.15, 0.10/
        data bvup/0.95, 0.73, 0.58, 0.37, 0.23/

        data vla/12.6, 13.2, 13.2, 13.2, 14.2/
        data vlb/12.0, 13.2, 13.2, 13.2, 13.8/
        data vua/12.0, 12.0, 12.0, 12.8, 13.2/
        data vub/11.4, 12.0, 12.0, 12.8, 13.2/


        rgb_star = .false.


	if (v.lt.vlim(1)) then
           rgb_star = .true.
           rgbf(1) = rgbf(1) + 10.0**(-0.4*v)
           rgbbv(1) = rgbbv(1) + bv*10.0**(-0.4*v)
           nrgb(1) = nrgb(1) + 1
           return
        endif

        do i = 2,20
           if (v.lt.vlim(i) .and. v.ge.vlim(i-1)) then
c
c is the star in one of the Red Giant Branch boxes?
c
              slope = (bvmed(i-1)-bvmed(i)) / (vavg(i-1)-vavg(i))
              bvc = bvmed(i) + slope*(v-vavg(i))
              derr = (err(i-1)-err(i))*(v-vavg(i))/(vavg(i-1)-vavg(i))
              derr = derr + err(i)
              bvr = bvc + derr
              bvb = bvc - derr

              if (bv.le.bvr .and. bv.ge.bvb) then
                  rgb_star = .true.
                  rgbf(i) = rgbf(i) + 10.0**(-0.4*v)
c                 rgbbv(i) = rgbbv(i) + bv
                  rgbbv(i) = rgbbv(i) + bv*10.0**(-0.4*v)
                  nrgb(i) = nrgb(i) + 1
                  return
              endif
           elseif (i.eq.20 .and. v.le.vlim(20).and.v.gt.vavg(20)) then
c
c check for last RGB box
c
              slope = (bvmed(i-1)-bvmed(i)) / (vavg(i-1)-vavg(i))
              bvc = bvmed(i) + slope*(v-vavg(i))
              eslope20 = (err(20)-err(19))/(vavg(20)-vavg(19))
              err20 = err(19) + (vlim(20)-vavg(19))*eslope20
              derr = (err20-err(19))*(v-vavg(19))/(vlim(20)-vavg(19))
              derr = derr + err(19)
              bvr = bvc + derr
              bvb = bvc - derr
              if (bv.le.bvr .and. bv.ge.bvb) then
                 rgb_star = .true.
                  rgbf(20) = rgbf(20) + 10.0**(-0.4*v)
c                 rgbbv(20) = rgbbv(20) + bv
                  rgbbv(20) = rgbbv(20) + bv*10.0**(-0.4*v)
                  nrgb(20) = nrgb(20) + 1
                 return
              endif
           else
c
c check to see if the star is in one of the Horizontal Branch boxes
c
             do j = 1,5
                if (vla(j).eq.vlb(j)) then
                   vmin = vla(j)
                else
                   hslope = (vlb(j)-vla(j))/(bvup(j)-bvlo(j))
                   vmin  = vla(j) +  (bv-bvlo(j))*hslope
                endif

                if (vua(j).eq.vub(j)) then
                   vmax = vua(j)
                else
                   hslope = (vub(j)-vua(j))/(bvup(j)-bvlo(j))
                   vmax  = vua(j) +  (bv-bvlo(j))*hslope
                endif

                if (bv.ge.bvlo(j) .and. bv.le.bvup(j) .and. 
     %              v.le.vmin  .and. v.ge.vmax) then
                   rgb_star = .true.
                   hbf(j) = hbf(j) + 10.0**(-0.4*v)
                   hbbv(j) = hbbv(j) + bv*10.0**(-0.4*v)
                   nhb(j) = nhb(j) + 1
                   return
                endif
 	     enddo
	   endif
	 enddo

        return
        end

	subroutine write_output
c
c a routine to compute and write out the results
c
        common/rboxes/ hbf, hbbv, rgbf, rgbbv
        real hbf(5), hbbv(5), rgbf(20), rgbbv(20)
        common/iboxes/ nhb, nrgb
        integer nhb(5), nrgb(20)

c get total flux

	sumf = 0.0
	do i = 1,20
	   sumf = sumf + rgbf(i)
	enddo
        do i = 1,5
           sumf = sumf + hbf(i)
        enddo

c write fractional flux plus b-v and v average

	do i = 1,20
           frac = rgbf(i)/sumf
           bvavg = rgbbv(i)/rgbf(i)
           vavg  = -2.5*alog10(rgbf(i)/real(nrgb(i)))
           write(6,100)vavg,bvavg,frac,nrgb(i)
 100	   format(f10.3,f10.3,f10.4,i7)
	enddo

	do i = 1,5
           frac = hbf(i)/sumf
           bvavg = hbbv(i)/hbf(i)
           vavg  = -2.5*alog10(hbf(i)/real(nhb(i)))
           write(6,100)vavg,bvavg,frac,nhb(i)
	enddo

	return
	end
