	program mkcmdplt
c
c a routine to produce the supermongo commands for making the cmd box plots
c

        real vlim(20),bvmed(20),vavg(20),err(20)
        real bvlo(5),bvup(5),vla(5),vlb(5),vua(5),vub(5)

        common/rboxes/ hbf, hbbv, rgbf, rgbbv
        real hbf(5), hbbv(5), rgbf(20), rgbbv(20)
        common/iboxes/ nhb, nrgb
        integer nhb(5), nrgb(20)

        data vlim/9.89, 10.35, 10.65, 10.94, 11.37, 11.48,
     %    11.86, 12.39, 12.61, 13.17, 13.78, 14.35, 15.11,
     %    15.81, 16.24, 16.59, 16.96, 17.41, 17.94, 19.30/

       data bvmed/1.41, 1.32, 1.29, 1.17, 1.11, 1.07, 1.01,
     %      0.96, 0.93, 0.90, 0.85, 0.81, 0.78, 0.72, 0.59,
     %      0.57, 0.57, 0.59, 0.63, 0.72/



        data vavg/9.880, 10.115, 10.350, 10.795, 11.155, 11.425,
     %   11.670, 12.125, 12.500, 12.890, 13.475, 14.065, 14.730,
     %   15.460, 16.025, 16.415, 16.775, 17.185, 17.675, 18.620/


        data err/ 0.15, 0.15, 0.15, 0.10, 0.10, 0.10, 0.06, 0.06,
     %      0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10,
     %      0.15, 0.20, 0.25/

        data bvlo/0.80, 0.58, 0.45, 0.15, 0.10/
        data bvup/0.95, 0.73, 0.58, 0.37, 0.23/

        data vla/12.6, 13.2, 13.2, 13.2, 14.2/
        data vlb/12.0, 13.2, 13.2, 13.2, 13.8/
        data vua/12.0, 12.0, 12.0, 12.8, 13.2/
        data vub/11.4, 12.0, 12.0, 12.8, 13.2/


c first the rgb boxes

        write(6,'(a9,2f10.3)')'relocate ',bvmed(1)-err(1),vlim(1)
        write(6,'(a5,2f10.3)')'draw ',bvmed(1)+err(1),vlim(1)
        write(6,'(a5,2f10.3)')'draw ',bvmed(1)+err(1),vlim(1)-0.5
        write(6,'(a5,2f10.3)')'draw ',bvmed(1)-err(1),vlim(1)-0.5
        write(6,'(a5,2f10.3)')'draw ',bvmed(1)-err(1),vlim(1)



c
c is the star in one of the Red Giant Branch boxes?
c
        do i = 2,20
              slope1 = (bvmed(i-1)-bvmed(i)) / (vavg(i-1)-vavg(i))
              bvu = bvmed(i) + slope1*(vlim(i-1)-vavg(i))
              bvu = (bvmed(i)+bvmed(i-1))*0.5
              if (i.lt.20) then
                 slope2 = (bvmed(i)-bvmed(i+1)) / (vavg(i)-vavg(i+1))
                 bvl = bvmed(i) + slope2*(vlim(i-1)-vavg(i))
                 bvl = (bvmed(i)+bvmed(i+1))*0.5
              else
                 bvl = bvmed(i) + slope1*(vlim(i-1)-vavg(i))
	      endif
              bvur = bvu + err(i)
              bvub = bvu - err(i)

              bvlr = bvl + err(i)
              bvlb = bvl - err(i)

c             slope = (bvmed(i-1)-bvmed(i)) / (vavg(i-1)-vavg(i))
c             bvc = bvmed(i) + slope*(vlim(i)-vavg(i))
c             derr = (err(i-1)-err(i))*(vlim(i)-vavg(i))/
c    %                (vavg(i-1)-vavg(i))
c             derr = derr + err(i)
c             bvr2 = bvc + derr
c             bvb2 = bvc - derr

           write(6,'(a9,2f10.3)')'relocate ',bvlb,vlim(i)
           write(6,'(a5,2f10.3)')'draw ',bvlr,vlim(i)
           write(6,'(a5,2f10.3)')'draw ',bvur,vlim(i-1)
           write(6,'(a5,2f10.3)')'draw ',bvub,vlim(i-1)
           write(6,'(a5,2f10.3)')'draw ',bvlb,vlim(i)


c          slope = (bvmed(i-1)-bvmed(i)) / (vavg(i-1)-vavg(i))
c          bvl = bvmed(i) + slope*(vlim(i)-vavg(i))
c          bvu = bvmed(i) + slope*(vlim(i-1)-vavg(i))

c          derrl = (err(i-1)-err(i))*(vlim(i)-vavg(i))/
c    %             (vavg(i-1)-vavg(i))
c          derru = (err(i-1)-err(i))*(vlim(i-1)-vavg(i))/
c    %             (vavg(i-1)-vavg(i))

c          derr = derr + err(i)
c          bvlr = bvl + derrl + err(i)
c          bvlb = bvl - derrl - err(i)

c          bvur = bvu + derru + err(i)
c          bvub = bvu - derru - err(i)

c          write(6,'(a9,2f10.3)')'relocate ',bvl-err(i),vlim(i)
c          write(6,'(a5,2f10.3)')'draw ',bvl+err(i),vlim(i)
c          write(6,'(a5,2f10.3)')'draw ',bvu+err(i),vlim(i-1)
c          write(6,'(a5,2f10.3)')'draw ',bvu-err(i),vlim(i-1)
c          write(6,'(a5,2f10.3)')'draw ',bvl-err(i),vlim(i)

c          write(6,'(a9,2f10.3)')'relocate ',bvlb,vlim(i)
c          write(6,'(a5,2f10.3)')'draw ',bvlr,vlim(i)
c          write(6,'(a5,2f10.3)')'draw ',bvur,vlim(i-1)
c          write(6,'(a5,2f10.3)')'draw ',bvub,vlim(i-1)
c          write(6,'(a5,2f10.3)')'draw ',bvlb,vlim(i)

c          write(6,'(a9,2f10.3)')'relocate ',bvmed(i)-err(i),vlim(i)
c          write(6,'(a5,2f10.3)')'draw ',bvmed(i)+err(i),vlim(i)
c          write(6,'(a5,2f10.3)')'draw ',bvmed(i)+err(i),vlim(i-1)
c          write(6,'(a5,2f10.3)')'draw ',bvmed(i)-err(i),vlim(i-1)
c          write(6,'(a5,2f10.3)')'draw ',bvmed(i)-err(i),vlim(i)
	enddo
           
c now the HB boxes

	do i = 1,5
           write(6,'(a9,2f10.3)')'relocate ',bvlo(i),vla(i)
           write(6,'(a5,2f10.3)')'draw ',bvup(i),vlb(i)
           write(6,'(a5,2f10.3)')'draw ',bvup(i),vub(i)
           write(6,'(a5,2f10.3)')'draw ',bvlo(i),vua(i)
           write(6,'(a5,2f10.3)')'draw ',bvlo(i),vla(i)
	enddo


	stop
	end
	   
